yunlong
Posts: 1
Joined: Mon Aug 29, 2016 3:17 am

汉语

Mon Aug 29, 2016 3:21 am

树莓派在中国的发展

Chen gang
Posts: 1
Joined: Wed Sep 28, 2016 2:28 am

Re: 汉语

Wed Sep 28, 2016 2:31 am

我居然成了第一个汉语区用户

Kolin
Posts: 1
Joined: Fri Jun 08, 2018 9:22 am

Re: 汉语

Fri Jun 08, 2018 9:38 am

应该改为中文 哈哈

ghoot2018
Posts: 1
Joined: Sat Jun 09, 2018 1:06 am

Re: 汉语

Sat Jun 09, 2018 1:23 am

i have a problem.when i changed the option "wifi country", my PI's wlan0's MAC address will change every boot . it's not i want. can it restore? and how?
jiu zhe me ge wen ti。

Songague
Posts: 1
Joined: Tue Jul 03, 2018 5:28 am

Re: 汉语

Tue Jul 03, 2018 8:15 am

You saved my life. I can’t thank you enough.

bmwcto
Posts: 1
Joined: Sat Mar 09, 2019 5:01 pm

Re: 汉语

Sat Mar 09, 2019 5:07 pm

三年了,才这么几个汉语用户?

Swrd
Posts: 1
Joined: Thu Mar 14, 2019 1:34 am

Re: 汉语

Thu Mar 14, 2019 1:43 am

国内了解树莓派的人,有点少啊,要是能来几个技术贴就好了

tangjianxian
Posts: 1
Joined: Mon Feb 24, 2020 7:27 am
Contact: Facebook Google+

Re: 常用软件(4b换源)(语言安装)

Mon Feb 24, 2020 7:39 am

1.

中文字库安装:sudo apt-get install ttf-wqy-microhei ttf-wqy-zenhei xfonts-wqy

LibreOffice中文包:sudo apt-get install libreoffice-l10n-zh-cn

arduino 安装:sudo apt-get install arduino

Eclipse(开发环境)安装:sudo apt-get install eclipse

samba安装:sudo apt-get update&sudo apt-get install samba samba-common-bin(https://blog.csdn.net/byforson/article/details/90900640

Joystick(手柄控制器)安装:sudo apt-get install joystick&sudo apt-get install ros-kinetic-joystick-drivers
(使用方法:https://blog.csdn.net/weixin_40973138/a ... /102904490

GCC(编译器)安装:sudo apt-get install gcc g++
https://blog.csdn.net/zhuming3834/artic ... s/81946707

openoffice(office软件)安装:sudo apt-get install openoffice.org openoffice.org-l10n-zh-cn

GIMP(图像编辑)安装:sudo apt install gimp

Vivaldi浏览器安装:cd ~/Downloads/
wget https://downloads.vivaldi.com/stable/vi ... _armhf.deb 解压缩DEB文件以进行安装:sudo dpkg -i /path/to/deb/file 安装:sudo apt-get install -f

Git(代码托管)安装:sudo apt-get install wget git-core(https://shumeipai.nxez.com/2014/02/15/g ... ry-pi.html

IceDove(电子邮件)安装:sudo apt install icedove
apt-get install enigmail
Pidgin(消息传递应用)安装:sudo apt install pidgin

Calibre(阅读电子书)安装:sudo apt install calibre

mysql安装:sudo apt-get install default-mysql-server(https://blog.csdn.net/theadore2017/arti ... /103926632

火狐浏览器安装:sudo apt-get install firefox-esr

Fcitx(输入法)安装: sudo apt-get install fcitx fcitx-googlepinyin fcitx-module-cloudpinyin(云拼音要换成百度的源,右键点击任务栏中的输入法图标,选择配置,找到附加组件,选择云拼音,点击配置,将云拼音来源改为“百度”)

tightvncserver(Windows远程桌面)安装:sudo apt-get install tightvncserver
xrdp服务:sudo apt-get install xrdp(如果出现报错 error – problem connecting,问题根源在于tightvnc,出现问题的版本跟X字体有冲突,导致连接Xserver出错。解决方法:sudo apt-get purge tightvnc xrdp&sudo apt-get install tightvncserver xrdp最后启动 xrdp 服务:sudo /etc/init.d/xrdp restart)

Docker安装:(curl -sSL https://get.docker.com | sh
树莓派专属脚本福利,一句搞定!
sudo docker –version
确认版本号,返回类似:Docker version 19.03.5, build 633a0ea
sudo nano /etc/docker/daemon.json
添加国内镜像,写入如下内容:
{
"registry-mirrors": ["https://registry.docker-cn.com"]
}
保存(ctrl+o)退出(ctrl+x)
重启docker并常驻服务:sudo systemctl restart docker.service& sudo systemctl enable docker.service
安装docker图形化UI: sudo docker pull portainer/portainer
创建UI容器,可以在浏览器中输入树莓派IP:9000 访问,设置帐号密码后选择local(本地):
sudo docker volume create portainer_data
sudo docker run -d -p 9000:9000 --name portainer --restart always -v /var/run/docker.sock:/var/run/docker.sock -v portainer_data:/data portainer/portainer)(帮助:https://docs.docker.com/)(附常用命令:仓库/镜像:版本(不写默认latest):sudo docker pull
加一堆参数,用来创建容器:sudo docker run
查看运行容器:sudo docker ps
查看所有下载的镜像:sudo docker images
进入容器终端:sudo docker exec -i -t ha /bin/bash
实时查看10行的ha日志:sudo docker logs -f -t --tail 10 ha)

apache安装:sudo apt-get install apache2(可以通过:sudo vi /etc/apache2/ports.conf ,修改监听端口号。重启服务生效:sudo service apache2 restart)

omxplayer(播放器)安装:
wget http://omxplayer.sconde.net/builds/omxp ... _armhf.deb
dpkg -i omxplayer_0.3.6~git20150505~b1ad23e_armhf.deb
(依赖包:wget http://pexpect.sourceforge.net/pexpect-2.3.tar.gz&tar xzf pexpect-2.3.tar.gz&cd pexpect-2.3&sudo python ./setup.py install&cd ..)(图形软件:git clone https://github.com/KenT2/tboplayer.git&cd tboplayer)(运行软件:python tboplayer.py)

codeblocks安装:sudo apt-get install codeblocks
(汉化:cd /usr/share/codeblocks/&sudo mkdir locale&cd locale&sudo mkdir zh_CN&cd zh_CN&sudo cp /home/pi/Downloads/CodeBlocks.mo .&sudo chmod 777 CodeBlocks.mo)(Setting - Environment - General 下方终端选择gnome-terminal
Setting - Environment - View - i18n(International) 里选择中文,重新启动
将默认终端调整回lxterminal:sudo update-alternatives --config x-terminal-emulator)

ReText Markdown编辑器安装:sudo apt install retext
(编辑 - 个人偏好 - 样式表文件,选择自定义css去。最后用了少数派css。
编辑 - 个人偏好 - markdown语法扩展 - 添加数学公式和语法高亮:mathjax, codehilite
sudo apt-get install libjs-mathjax&sudo apt-get install python-pygments
开启webkit渲染)

aptitude管理器安装:sudo apt-get install aptitude
sudo aptitude install libgtk2.0-dev 会提示未满足依赖关系,给出了类似1) libcairo2-dev [未安装的] 等提示,问是否接受该解决方案?[Y/n/q/?]n
不接受该解决方案,然后会提示降级下列软件包,问是否接受该解决方案?[Y/n/q/?] y
接受降级,此时会发现新安装包列表里果然有libgtk2.0-dev,然后会提示您要继续吗?[Y/n/?]y
继续,确认安装
安装成功!其他搞不定的包也可以如此尝试,不过降级之前需要仔细看下版本号变化,如果差太多还需要慎重考虑

当使用dpkg -i *.deb 安装出现依赖问题的时候,可以尝试如下解决方法:
apt-get -f -y install
复制粘贴回车,install后边就是没有东西了
dpkg -i *.deb
*.deb替换成要安装的包名

Deluge (GUI) (BT下载器)安装:sudo apt-get install deluge
安装页网版:sudo apt-get install deluged deluge-web
安装完成,运行:deluge-web
浏览器访问,密码 deluge:http://树莓派IP: 8112/
FAT 格式U盘 mount 本身就能支持,但如果你的U盘或移动硬盘使用的是 exFAT 格式,mount 会说不支持。没关系,安装 exfat-fuse 软件之后 mount 就支持了:sudo apt-get install exfat-fuse
通常我们在 /mnt 或 /media 目录下新建一个目录disk1作为挂载点:sudo mkdir /mnt/disk1
挂载命令:sudo mount -o uid=pi,gid=pi /dev/sda1 /mnt/disk1
卸载命令:sudo umount /mnt/disk1
如果想开机自动挂载,而不是每次手工执行,可以编辑 /etc/fstab 文件。比如在末尾添加一行:UUID= 驱动器UUID/mnt/disk1 auto nofail,uid=pi,gid=pi,noatime 0 0
如果你不知道驱动器UUID,那么我们需要得到它:ls -l /dev/disk/by-uuid

2.树莓派换源(阿里源)
对于使用buster的树莓派系统:
1、打开文件:sudo nano /etc/apt/sources.list
2、编辑文件:将原来的deb.......和deb-src......两行注释掉(开头加#),或者直接在这两行修改。
deb http://mirrors.aliyun.com/raspbian/raspbian/ buster main contrib non-free rpi
deb-src http://mirrors.aliyun.com/raspbian/raspbian/ buster main contrib non-free rpi
3、编辑后保存并退出文件
4、打开文件:sudo nano /etc/apt/sources.list.d/raspi.list
5、执行第2步
6、编辑后保存并退出文件
7、查看DNS :sudo nano /etc/resolv.conf
8、如果里面是空的,手动添加一条信息,不是空的可以不用管
nameserver 114.114.114.114
9、执行更新软件源:sudo apt-get update&sudo apt-get upgrade -y
10、完成
(实际使用中发现问题:使用 apt-get update 命令提示 ...中被配置了多次
解决:sudo nano /etc/apt/sources.list.d/raspi.list,将此文件恢复原状即可)

3.语言安装

php(语言)安装:sudo apt-get install php5&sudo apt-get install php5-mysql

将默认python改为python3:
sudo update-alternatives --install /usr/bin/python python /usr/bin/python2 100
sudo update-alternatives --install /usr/bin/python python /usr/bin/python3 150
GO(语言)安装:解压后是一个名为go的文件夹go1.13.4.linux-armv6l.tar.gz
步骤:tar -C /usr/local -xzf go$VERSION.$OS-$ARCH.tar.gz
实际安装的时候,将go$VERSION.$OS-$ARCH.tar.gz替换成实际文件名如go1.13.4.linux-armv6l.tar.gz
编辑环境变量:sudo nano /etc/profile
在最后一行加上这句话(export PATH=$PATH:/usr/local/go/bin),其他的不要改,保存(ctrl+o)退出(ctrl+x)
进入root权限账户,否则会提示`sudo: source:找不到命令` :su
刷新环境变量配置:source /etc/profile)
(卸载:删除/usr/local/go文件夹;删除/etc/profile中的环境变量export PATH=$PATH:/usr/local/go/bin)(如果用sudo go会提示go:找不到命令,这个问题是由于sudo命令会重置环境变量而引起的打开并编辑 sudoers:。sudo nano /etc/sudoers
Defaults secure_path="/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/$(后边不管他)
找到Defaults secure_path,并在双引号中添加 /usr/local/go/bin,以:分隔,然后保存(ctrl+o)退出(ctrl+x)

boost库(C++程序库)安装:sudo apt-get install libboost-dev

WebIDE(IDE)安装:sudo apt-get install git
git clone git://github.com/adafruit/Adafruit-WebIDE.git
cd Adafruit-WebIDE
sudo apt-get install nodejs npm redis-server git -y
mkdir tmp
npm config set tmp tmp
npm install
vim editor/config/config.js (change port 80 to your port of choice)
node server.js

Return to “Other languages”